#include <limits.h>
#include <locale.h>
#include <luna.h>

static char default_locale[] = "C";

static char dot[] = ".";
static char empty[] = "";

static struct lconv default_lconv = {dot,      empty,    empty,    empty,    empty,    empty,
                                     empty,    empty,    empty,    empty,    CHAR_MAX, CHAR_MAX,
                                     CHAR_MAX, CHAR_MAX, CHAR_MAX, CHAR_MAX, CHAR_MAX, CHAR_MAX};

extern "C"
{
    char* setlocale(int, const char*)
    {
        return default_locale;
    }

    struct lconv* localeconv(void)
    {
        return &default_lconv;
    }
}